module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 32);
/******/ })
/************************************************************************/
/******/ ({

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("lodash/cloneDeep");

/***/ }),

/***/ 3:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 32:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/components/AProSelect/src/index.vue?vue&type=template&id=0867fa70&
var render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "section",
    [
      _vm.isFormItem
        ? _c(
            "el-form-item",
            _vm._b({}, "el-form-item", _vm.formItemProps, false),
            [
              _c(
                "el-select",
                _vm._g(
                  _vm._b(
                    {
                      on: { input: _vm.inputFun },
                      model: {
                        value: _vm.value,
                        callback: function ($$v) {
                          _vm.value = $$v
                        },
                        expression: "value",
                      },
                    },
                    "el-select",
                    _vm.$attrs,
                    false
                  ),
                  _vm.$listeners
                ),
                [
                  _vm.isGroup
                    ? _c(
                        "section",
                        _vm._l(_vm.options, function (group, key) {
                          return _c(
                            "el-option-group",
                            {
                              key: key,
                              attrs: { label: group[_vm.valueEnum.label] },
                            },
                            _vm._l(
                              group[_vm.valueEnum.child],
                              function (item, index) {
                                return _c(
                                  "el-option",
                                  {
                                    key: index,
                                    attrs: {
                                      label: item[_vm.valueEnum.label],
                                      value: item[_vm.valueEnum.value],
                                    },
                                  },
                                  [_vm._t("custom", null, null, item)],
                                  2
                                )
                              }
                            ),
                            1
                          )
                        }),
                        1
                      )
                    : _vm._l(_vm.options, function (item, index) {
                        return _c(
                          "el-option",
                          {
                            key: index,
                            attrs: {
                              label: item[_vm.valueEnum.label],
                              value: item[_vm.valueEnum.value],
                            },
                          },
                          [_vm._t("custom", null, null, item)],
                          2
                        )
                      }),
                ],
                2
              ),
            ],
            1
          )
        : _c(
            "el-select",
            _vm._g(
              _vm._b(
                {
                  on: { input: _vm.inputFun },
                  model: {
                    value: _vm.value,
                    callback: function ($$v) {
                      _vm.value = $$v
                    },
                    expression: "value",
                  },
                },
                "el-select",
                _vm.$attrs,
                false
              ),
              _vm.$listeners
            ),
            [
              _vm.isGroup
                ? _c(
                    "section",
                    _vm._l(_vm.options, function (group, key) {
                      return _c(
                        "el-option-group",
                        {
                          key: key,
                          attrs: { label: group[_vm.valueEnum.label] },
                        },
                        _vm._l(
                          group[_vm.valueEnum.child],
                          function (item, index) {
                            return _c(
                              "el-option",
                              {
                                key: index,
                                attrs: {
                                  label: item[_vm.valueEnum.label],
                                  value: item[_vm.valueEnum.value],
                                },
                              },
                              [_vm._t("custom", null, null, item)],
                              2
                            )
                          }
                        ),
                        1
                      )
                    }),
                    1
                  )
                : _vm._l(_vm.options, function (item, index) {
                    return _c(
                      "el-option",
                      {
                        key: index,
                        attrs: {
                          label: item[_vm.valueEnum.label],
                          value: item[_vm.valueEnum.value],
                        },
                      },
                      [_vm._t("custom", null, null, item)],
                      2
                    )
                  }),
            ],
            2
          ),
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/AProSelect/src/index.vue?vue&type=template&id=0867fa70&

// EXTERNAL MODULE: external "lodash/cloneDeep"
var cloneDeep_ = __webpack_require__(2);
var cloneDeep_default = /*#__PURE__*/__webpack_require__.n(cloneDeep_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./src/components/AProSelect/src/index.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var srcvue_type_script_lang_js_ = ({
  name: 'AProSelect',
  props: {
    formItemProps: { // form-item绑定值
      type: Object,
      default: function _default() {
        return {};
      }
    },
    model: { // 输入框绑定值
      required: true
    },
    optionsList: { // 渲染数据
      type: Array,
      default: function _default() {
        return [];
      }
    },
    valueEnum: { // 设置绑定值
      type: Object,
      default: function _default() {
        return { label: 'label', value: 'value', child: 'options' };
      }
    },
    isGroup: {
      type: Boolean,
      default: false
    },
    isFormItem: {
      type: Boolean,
      default: true
    }
  },
  watch: {
    optionsList: {
      handler: function handler(val) {
        this.options = cloneDeep_default()(val);
      },

      immediate: true,
      deep: true
    }
  },
  data: function data() {
    return {
      options: cloneDeep_default()(this.optionsList), // 实际绑定值
      value: null // 实际绑定值
    };
  },
  mounted: function mounted() {
    if (this.model) {
      this.value = this.model;
    }
  },

  methods: {
    inputFun: function inputFun(val) {
      this.$emit('update:model', val);
    }
  }
});
// CONCATENATED MODULE: ./src/components/AProSelect/src/index.vue?vue&type=script&lang=js&
 /* harmony default export */ var AProSelect_srcvue_type_script_lang_js_ = (srcvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(3);

// CONCATENATED MODULE: ./src/components/AProSelect/src/index.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  AProSelect_srcvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/AProSelect/src/index.vue"
/* harmony default export */ var src = (component.exports);
// CONCATENATED MODULE: ./src/components/AProSelect/index.js

src.install = function (Vue) {
    Vue.component(src.name, src);
};

/* harmony default export */ var AProSelect = __webpack_exports__["default"] = (src);

/***/ })

/******/ });